Description: [sensorfw] rename hybris for hidl for binder config
 To ensure co-installability, rename hybris plugins to hidl.
Author: Ratchanan Srirattanamet <ratchanan@ubports.com>
Origin: vendor
Forwarded: not-needed
Last-Update: 2022-03-31
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/common-config.pri
+++ b/common-config.pri
@@ -29,6 +29,12 @@
   QMAKE_LFLAGS += -lc_p
 }
 
+# UBports-specific: to ensure co-installability, rename hybris plugins to hidl.
+contains(CONFIG,binder) {
+  TARGET = $$replace(TARGET, hybris, hidl)
+  LIBS = $$replace(LIBS, hybrissensorfw-qt5, hidlsensorfw-qt5)
+}
+
 TARGET = $$TARGET-qt5
 
 OTHER_FILES += \
